Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIAccordionItem

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractTogglePanelItem
                      org.richfaces.component.AbstractAccordionItem
                          org.richfaces.component.UIAccordionItem

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, AbstractTogglePanelItemInterface, AbstractTogglePanelTitledItem, org.richfaces.component.VisitChildrenRejectable

    @Generated(value={"RichFaces CDK","4.3.1.Final"})
    public class UIAccordionItem

extends AbstractAccordionItem
implements javax.faces.component.behavior.ClientBehaviorHolder, AbstractTogglePanelTitledItem

The <rich:accordionItem> component is a panel for use with the <rich:accordion> component. <rich:accordionItem> components can be added dynamically using iteration models with the <c:forEach> tag.

Author:
  akolonitsky

Nested Class Summary
`protected static class` | `UIAccordionItem.Properties`

Nested classes/interfaces inherited from interface org.richfaces.component.AbstractTogglePanelTitledItem
`AbstractTogglePanelTitledItem.HeaderStates`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractTogglePanelItem
`NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIAccordionItem()`

Method Summary
`String` | `getDefaultEventName()`
`String` | `getDir()`
`Collection<String>` | `getEventNames()`
`String` | `getFamily()`
`String` | `getHeaderStyle()` The CSS style applied to the header
`String` | `getLang()`
`String` | `getOnclick()`
`String` | `getOndblclick()`
`String` | `getOnenter()` The function to perform when the mouse enters the panel
`String` | `getOnheaderclick()` Javascript code executed when a pointer button is clicked over the header of this element.
`String` | `getOnheaderdblclick()` Javascript code executed when a pointer button is double clicked over the header of this element.
`String` | `getOnheadermousedown()` Javascript code executed when a pointer button is pressed down over the header of this element.
`String` | `getOnheadermousemove()` Javascript code executed when a pointer button is moved within the header of this element.
`String` | `getOnheadermouseup()` Javascript code executed when a pointer button is released over the header of this element.
`String` | `getOnleave()` The function to perform when the mouse leaves the panel.
`String` | `getOnmousedown()`
`String` | `getOnmousemove()`
`String` | `getOnmouseout()`
`String` | `getOnmouseover()`
`String` | `getOnmouseup()`
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTitle()`
`Object` | `getValue()` Suppress the inherited value attribute from the taglib.
`boolean` | `isDisabled()` Flag indicating whether toggling of this panel is disabled
`void` | `setDir(String dir)`
`void` | `setDisabled(boolean disabled)`
`void` | `setHeaderStyle(String headerStyle)`
`void` | `setLang(String lang)`
`void` | `setOnclick(String onclick)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnenter(String onenter)`
`void` | `setOnheaderclick(String onheaderclick)`
`void` | `setOnheaderdblclick(String onheaderdblclick)`
`void` | `setOnheadermousedown(String onheadermousedown)`
`void` | `setOnheadermousemove(String onheadermousemove)`
`void` | `setOnheadermouseup(String onheadermouseup)`
`void` | `setOnleave(String onleave)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTitle(String title)`
`void` | `setValue(Object value)`

Methods inherited from class org.richfaces.component.AbstractAccordionItem
`getAccordion, getContentClass, getHeader, getHeaderActiveClass, getHeaderClass, getHeaderDisabledClass, getHeaderFacet, getHeaderInactiveClass, getLeftActiveIcon, getLeftDisabledIcon, getLeftInactiveIcon, getParentPanel, getRightActiveIcon, getRightDisabledIcon, getRightInactiveIcon, getSwitchType, setContentClass, setHeader, setHeaderActiveClass, setHeaderClass, setHeaderDisabledClass, setHeaderInactiveClass, setLeftActiveIcon, setLeftDisabledIcon, setLeftInactiveIcon, setRightActiveIcon, setRightDisabledIcon, setRightInactiveIcon, setSwitchType, visitTree`

Methods inherited from class org.richfaces.component.AbstractTogglePanelItem
`getName, isActive, isDynamicPanelItem, setName, shouldVisitChildren, toString`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, markInitialState, restoreState, saveState, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Methods inherited from interface org.richfaces.component.AbstractTogglePanelTitledItem
`getContentClass, getHeader, getHeaderActiveClass, getHeaderClass, getHeaderDisabledClass, getHeaderInactiveClass`

Methods inherited from interface org.richfaces.component.AbstractTogglePanelItemInterface
`getClientId, getName, getParentPanel, getSwitchType, isActive, isDynamicPanelItem, isRendered`

Methods inherited from interface org.richfaces.component.VisitChildrenRejectable
`shouldVisitChildren`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIAccordionItem

    public UIAccordionItem()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `AbstractTogglePanelItem`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getDir

    public String getDir()

  Specified by:
    `getDir` in interface `AbstractDivPanel`

### setDir

    public void setDir(String dir)

### isDisabled

    public boolean isDisabled()

  Description copied from interface: `AbstractTogglePanelTitledItem`
  Flag indicating whether toggling of this panel is disabled

  Specified by:
    `isDisabled` in interface `AbstractTogglePanelTitledItem`

### setDisabled

    public void setDisabled(boolean disabled)

### getHeaderStyle

    public String getHeaderStyle()

  Description copied from interface: `AbstractTogglePanelTitledItem`
  The CSS style applied to the header

  Specified by:
    `getHeaderStyle` in interface `AbstractTogglePanelTitledItem`

### setHeaderStyle

    public void setHeaderStyle(String headerStyle)

### getLang

    public String getLang()

  Specified by:
    `getLang` in interface `AbstractDivPanel`

### setLang

    public void setLang(String lang)

### getOnclick

    public String getOnclick()

  Specified by:
    `getOnclick` in interface `AbstractDivPanel`

### setOnclick

    public void setOnclick(String onclick)

### getOndblclick

    public String getOndblclick()

  Specified by:
    `getOndblclick` in interface `AbstractDivPanel`

### setOndblclick

    public void setOndblclick(String ondblclick)

### getOnenter

    public String getOnenter()

  Description copied from interface: `AbstractTogglePanelItemInterface`
  The function to perform when the mouse enters the panel

  Specified by:
    `getOnenter` in interface `AbstractTogglePanelItemInterface`

### setOnenter

    public void setOnenter(String onenter)

### getOnheaderclick

    public String getOnheaderclick()

  Description copied from interface: `AbstractTogglePanelTitledItem`
  Javascript code executed when a pointer button is clicked over the header of this element.

  Specified by:
    `getOnheaderclick` in interface `AbstractTogglePanelTitledItem`

### setOnheaderclick

    public void setOnheaderclick(String onheaderclick)

### getOnheaderdblclick

    public String getOnheaderdblclick()

  Description copied from interface: `AbstractTogglePanelTitledItem`
  Javascript code executed when a pointer button is double clicked over the header of this element.

  Specified by:
    `getOnheaderdblclick` in interface `AbstractTogglePanelTitledItem`

### setOnheaderdblclick

    public void setOnheaderdblclick(String onheaderdblclick)

### getOnheadermousedown

    public String getOnheadermousedown()

  Description copied from interface: `AbstractTogglePanelTitledItem`
  Javascript code executed when a pointer button is pressed down over the header of this element.

  Specified by:
    `getOnheadermousedown` in interface `AbstractTogglePanelTitledItem`

### setOnheadermousedown

    public void setOnheadermousedown(String onheadermousedown)

### getOnheadermousemove

    public String getOnheadermousemove()

  Description copied from interface: `AbstractTogglePanelTitledItem`
  Javascript code executed when a pointer button is moved within the header of this element.

  Specified by:
    `getOnheadermousemove` in interface `AbstractTogglePanelTitledItem`

### setOnheadermousemove

    public void setOnheadermousemove(String onheadermousemove)

### getOnheadermouseup

    public String getOnheadermouseup()

  Description copied from interface: `AbstractTogglePanelTitledItem`
  Javascript code executed when a pointer button is released over the header of this element.

  Specified by:
    `getOnheadermouseup` in interface `AbstractTogglePanelTitledItem`

### setOnheadermouseup

    public void setOnheadermouseup(String onheadermouseup)

### getOnleave

    public String getOnleave()

  Description copied from interface: `AbstractTogglePanelItemInterface`
  The function to perform when the mouse leaves the panel.

  Specified by:
    `getOnleave` in interface `AbstractTogglePanelItemInterface`

### setOnleave

    public void setOnleave(String onleave)

### getOnmousedown

    public String getOnmousedown()

  Specified by:
    `getOnmousedown` in interface `AbstractDivPanel`

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### getOnmousemove

    public String getOnmousemove()

  Specified by:
    `getOnmousemove` in interface `AbstractDivPanel`

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### getOnmouseout

    public String getOnmouseout()

  Specified by:
    `getOnmouseout` in interface `AbstractDivPanel`

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### getOnmouseover

    public String getOnmouseover()

  Specified by:
    `getOnmouseover` in interface `AbstractDivPanel`

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### getOnmouseup

    public String getOnmouseup()

  Specified by:
    `getOnmouseup` in interface `AbstractDivPanel`

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### getStyle

    public String getStyle()

  Specified by:
    `getStyle` in interface `AbstractDivPanel`

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

  Specified by:
    `getStyleClass` in interface `AbstractDivPanel`

### setStyleClass

    public void setStyleClass(String styleClass)

### getTitle

    public String getTitle()

  Specified by:
    `getTitle` in interface `AbstractDivPanel`

### setTitle

    public void setTitle(String title)

### getValue

    public Object getValue()

  Description copied from class: `AbstractTogglePanelItem`
  Suppress the inherited value attribute from the taglib.

  Specified by:
    `getValue` in interface `javax.faces.component.ValueHolder`
  Specified by:
    `getValue` in class `AbstractTogglePanelItem`

### setValue

    public void setValue(Object value)

  Specified by:
    `setValue` in interface `javax.faces.component.ValueHolder`
  Overrides:
    `setValue` in class `javax.faces.component.UIOutput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.